Subject: Re: [PATCH v3] perf tools: add support for libpfm4

From: Jiri Olsa <[email-masked]>
Date: Wed, 18 Mar 2020 11:22:54 +0100

On Wed, Mar 11, 2020 at 02:36:13PM -0700, Ian Rogers wrote:
> This patch links perf with the libpfm4 library if it is available and
> NO_LIBPFM4 isn't passed to the build. The libpfm4 library contains hardware
> event tables for all processors supported by perf_events. It is a helper
> library that helps convert from a symbolic event name to the event
> encoding required by the underlying kernel interface. This
> library is open-source and available from: http://perfmon2.sf.net.
> 
> With this patch, it is possible to specify full hardware events
> by name. Hardware filters are also supported. Events must be
> specified via the --pfm-events and not -e option. Both options
> are active at the same time and it is possible to mix and match:
> 
> $ perf stat --pfm-events inst_retired:any_p:c=1:i -e cycles ....
> 
> v3 is against acme/perf/core removes a diagnostic warning
> v2 of this patch makes the --pfm-events man page documentation
> conditional on libpfm4 behing configured. It tidies some of the
> documentation and adds the feature test missed in the v1 patch.
> 
> Author: Stephane Eranian <[email-masked]>
> Signed-off-by: Ian Rogers <[email-masked]>

hi,
is this the latest version? I can't apply it on Arnaldo's perf/core

jirka